"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WebhookIdentityType = exports.Timing = exports.TaxType = exports.SubdivisionType = exports.SubdivisionSubdivisionType = exports.Status = exports.SortOrder = exports.RequestedFieldsEnumRequestedFields = exports.RequestedFields = exports.RecurrenceStatusStatus = exports.OrderType = exports.OrderStatus = exports.NotifyActionType = exports.MemberEventStatusUpdatedEventType = exports.LocationType = exports.GuestType = exports.FeeType = exports.FeeName = exports.EventType = exports.AttendanceStatus = exports.onGuestUpdated = exports.onGuestOrderCanceled = exports.onGuestEventStarts = exports.onGuestEventCanceled = exports.onGuestCheckedIn = exports.onGuestDeleted = exports.onGuestCreated = exports.queryGuests = exports.__metadata = void 0;
const rename_all_nested_keys_1 = require("@wix/sdk-runtime/rename-all-nested-keys");
const address_1 = require("@wix/sdk-runtime/transformations/address");
const float_1 = require("@wix/sdk-runtime/transformations/float");
const page_url_1 = require("@wix/sdk-runtime/transformations/page-url");
const timestamp_1 = require("@wix/sdk-runtime/transformations/timestamp");
const transform_paths_1 = require("@wix/sdk-runtime/transformations/transform-paths");
const sdk_types_1 = require("@wix/sdk-types");
const events_guests_v1_guest_guests_universal_js_1 = require("./events-guests-v1-guest-guests.universal.js");
exports.__metadata = { PACKAGE_NAME: '@wix/events' };
function queryGuests(httpClient) {
    return (options) => (0, events_guests_v1_guest_guests_universal_js_1.queryGuests)(options, 
    // @ts-ignore
    { httpClient });
}
exports.queryGuests = queryGuests;
exports.onGuestCreated = (0, sdk_types_1.EventDefinition)('wix.events.guests.v1.guest_created', true, (event) => (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)((0, transform_paths_1.transformPaths)(event, [
    {
        transformFn: timestamp_1.transformRESTTimestampToSDKTimestamp,
        paths: [
            { path: 'entity.createdDate' },
            { path: 'entity.updatedDate' },
            { path: 'entity.attendanceStatusUpdatedDate' },
            { path: 'entity.guestDetails.formResponse.inputValues.dateTime' },
            { path: 'metadata.eventTime' },
        ],
    },
    {
        transformFn: float_1.transformRESTFloatToSDKFloat,
        paths: [
            { path: 'entity.guestDetails.formResponse.inputValues.number' },
        ],
    },
    {
        transformFn: address_1.transformRESTAddressToSDKAddress,
        paths: [
            {
                path: 'entity.guestDetails.formResponse.inputValues.address.address',
            },
        ],
    },
])))();
exports.onGuestDeleted = (0, sdk_types_1.EventDefinition)('wix.events.guests.v1.guest_deleted', true, (event) => (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)((0, transform_paths_1.transformPaths)(event, [
    {
        transformFn: timestamp_1.transformRESTTimestampToSDKTimestamp,
        paths: [
            { path: 'entity.createdDate' },
            { path: 'entity.updatedDate' },
            { path: 'entity.attendanceStatusUpdatedDate' },
            { path: 'entity.guestDetails.formResponse.inputValues.dateTime' },
            { path: 'metadata.eventTime' },
        ],
    },
    {
        transformFn: float_1.transformRESTFloatToSDKFloat,
        paths: [
            { path: 'entity.guestDetails.formResponse.inputValues.number' },
        ],
    },
    {
        transformFn: address_1.transformRESTAddressToSDKAddress,
        paths: [
            {
                path: 'entity.guestDetails.formResponse.inputValues.address.address',
            },
        ],
    },
])))();
exports.onGuestCheckedIn = (0, sdk_types_1.EventDefinition)('wix.events.guests.v1.guest_guest_checked_in', true, (event) => (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)((0, transform_paths_1.transformPaths)(event, [
    {
        transformFn: timestamp_1.transformRESTTimestampToSDKTimestamp,
        paths: [
            { path: 'data.guest.createdDate' },
            { path: 'data.guest.updatedDate' },
            { path: 'data.guest.attendanceStatusUpdatedDate' },
            {
                path: 'data.guest.guestDetails.formResponse.inputValues.dateTime',
            },
            { path: 'data.eventDetails.dateAndTimeSettings.startDate' },
            { path: 'data.eventDetails.dateAndTimeSettings.endDate' },
            {
                path: 'data.eventDetails.dateAndTimeSettings.recurringEvents.individualEventDates.startDate',
            },
            {
                path: 'data.eventDetails.dateAndTimeSettings.recurringEvents.individualEventDates.endDate',
            },
            { path: 'metadata.eventTime' },
        ],
    },
    {
        transformFn: float_1.transformRESTFloatToSDKFloat,
        paths: [
            { path: 'data.guest.guestDetails.formResponse.inputValues.number' },
        ],
    },
    {
        transformFn: address_1.transformRESTAddressToSDKAddress,
        paths: [
            {
                path: 'data.guest.guestDetails.formResponse.inputValues.address.address',
            },
            { path: 'data.eventDetails.location.address' },
        ],
    },
    {
        transformFn: page_url_1.transformRESTPageURLToSDKPageURL,
        paths: [{ path: 'data.eventDetails.eventPageUrl' }],
    },
])))();
exports.onGuestEventCanceled = (0, sdk_types_1.EventDefinition)('wix.events.guests.v1.guest_guest_event_canceled', true, (event) => (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)((0, transform_paths_1.transformPaths)(event, [
    {
        transformFn: timestamp_1.transformRESTTimestampToSDKTimestamp,
        paths: [
            { path: 'data.guest.createdDate' },
            { path: 'data.guest.updatedDate' },
            { path: 'data.guest.attendanceStatusUpdatedDate' },
            {
                path: 'data.guest.guestDetails.formResponse.inputValues.dateTime',
            },
            { path: 'data.event.dateAndTimeSettings.startDate' },
            { path: 'data.event.dateAndTimeSettings.endDate' },
            {
                path: 'data.event.dateAndTimeSettings.recurringEvents.individualEventDates.startDate',
            },
            {
                path: 'data.event.dateAndTimeSettings.recurringEvents.individualEventDates.endDate',
            },
            { path: 'metadata.eventTime' },
        ],
    },
    {
        transformFn: float_1.transformRESTFloatToSDKFloat,
        paths: [
            { path: 'data.guest.guestDetails.formResponse.inputValues.number' },
        ],
    },
    {
        transformFn: address_1.transformRESTAddressToSDKAddress,
        paths: [
            {
                path: 'data.guest.guestDetails.formResponse.inputValues.address.address',
            },
            { path: 'data.event.location.address' },
        ],
    },
    {
        transformFn: page_url_1.transformRESTPageURLToSDKPageURL,
        paths: [{ path: 'data.event.eventPageUrl' }],
    },
])))();
exports.onGuestEventStarts = (0, sdk_types_1.EventDefinition)('wix.events.guests.v1.guest_guest_event_starts', true, (event) => (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)((0, transform_paths_1.transformPaths)(event, [
    {
        transformFn: timestamp_1.transformRESTTimestampToSDKTimestamp,
        paths: [
            { path: 'data.guest.createdDate' },
            { path: 'data.guest.updatedDate' },
            { path: 'data.guest.attendanceStatusUpdatedDate' },
            {
                path: 'data.guest.guestDetails.formResponse.inputValues.dateTime',
            },
            { path: 'data.event.dateAndTimeSettings.startDate' },
            { path: 'data.event.dateAndTimeSettings.endDate' },
            {
                path: 'data.event.dateAndTimeSettings.recurringEvents.individualEventDates.startDate',
            },
            {
                path: 'data.event.dateAndTimeSettings.recurringEvents.individualEventDates.endDate',
            },
            { path: 'metadata.eventTime' },
        ],
    },
    {
        transformFn: float_1.transformRESTFloatToSDKFloat,
        paths: [
            { path: 'data.guest.guestDetails.formResponse.inputValues.number' },
        ],
    },
    {
        transformFn: address_1.transformRESTAddressToSDKAddress,
        paths: [
            {
                path: 'data.guest.guestDetails.formResponse.inputValues.address.address',
            },
            { path: 'data.event.location.address' },
        ],
    },
    {
        transformFn: page_url_1.transformRESTPageURLToSDKPageURL,
        paths: [{ path: 'data.event.eventPageUrl' }],
    },
])))();
exports.onGuestOrderCanceled = (0, sdk_types_1.EventDefinition)('wix.events.guests.v1.guest_guest_order_canceled', true, (event) => (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)((0, transform_paths_1.transformPaths)(event, [
    {
        transformFn: timestamp_1.transformRESTTimestampToSDKTimestamp,
        paths: [
            { path: 'data.guest.createdDate' },
            { path: 'data.guest.updatedDate' },
            { path: 'data.guest.attendanceStatusUpdatedDate' },
            {
                path: 'data.guest.guestDetails.formResponse.inputValues.dateTime',
            },
            { path: 'data.event.dateAndTimeSettings.startDate' },
            { path: 'data.event.dateAndTimeSettings.endDate' },
            {
                path: 'data.event.dateAndTimeSettings.recurringEvents.individualEventDates.startDate',
            },
            {
                path: 'data.event.dateAndTimeSettings.recurringEvents.individualEventDates.endDate',
            },
            { path: 'metadata.eventTime' },
        ],
    },
    {
        transformFn: float_1.transformRESTFloatToSDKFloat,
        paths: [
            { path: 'data.guest.guestDetails.formResponse.inputValues.number' },
        ],
    },
    {
        transformFn: address_1.transformRESTAddressToSDKAddress,
        paths: [
            {
                path: 'data.guest.guestDetails.formResponse.inputValues.address.address',
            },
            { path: 'data.event.location.address' },
        ],
    },
    {
        transformFn: page_url_1.transformRESTPageURLToSDKPageURL,
        paths: [{ path: 'data.event.eventPageUrl' }],
    },
])))();
exports.onGuestUpdated = (0, sdk_types_1.EventDefinition)('wix.events.guests.v1.guest_updated', true, (event) => (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)((0, transform_paths_1.transformPaths)(event, [
    {
        transformFn: timestamp_1.transformRESTTimestampToSDKTimestamp,
        paths: [
            { path: 'entity.createdDate' },
            { path: 'entity.updatedDate' },
            { path: 'entity.attendanceStatusUpdatedDate' },
            { path: 'entity.guestDetails.formResponse.inputValues.dateTime' },
            { path: 'metadata.eventTime' },
        ],
    },
    {
        transformFn: float_1.transformRESTFloatToSDKFloat,
        paths: [
            { path: 'entity.guestDetails.formResponse.inputValues.number' },
        ],
    },
    {
        transformFn: address_1.transformRESTAddressToSDKAddress,
        paths: [
            {
                path: 'entity.guestDetails.formResponse.inputValues.address.address',
            },
        ],
    },
])))();
var events_guests_v1_guest_guests_universal_js_2 = require("./events-guests-v1-guest-guests.universal.js");
Object.defineProperty(exports, "AttendanceStatus", { enumerable: true, get: function () { return events_guests_v1_guest_guests_universal_js_2.AttendanceStatus; } });
Object.defineProperty(exports, "EventType", { enumerable: true, get: function () { return events_guests_v1_guest_guests_universal_js_2.EventType; } });
Object.defineProperty(exports, "FeeName", { enumerable: true, get: function () { return events_guests_v1_guest_guests_universal_js_2.FeeName; } });
Object.defineProperty(exports, "FeeType", { enumerable: true, get: function () { return events_guests_v1_guest_guests_universal_js_2.FeeType; } });
Object.defineProperty(exports, "GuestType", { enumerable: true, get: function () { return events_guests_v1_guest_guests_universal_js_2.GuestType; } });
Object.defineProperty(exports, "LocationType", { enumerable: true, get: function () { return events_guests_v1_guest_guests_universal_js_2.LocationType; } });
Object.defineProperty(exports, "MemberEventStatusUpdatedEventType", { enumerable: true, get: function () { return events_guests_v1_guest_guests_universal_js_2.MemberEventStatusUpdatedEventType; } });
Object.defineProperty(exports, "NotifyActionType", { enumerable: true, get: function () { return events_guests_v1_guest_guests_universal_js_2.NotifyActionType; } });
Object.defineProperty(exports, "OrderStatus", { enumerable: true, get: function () { return events_guests_v1_guest_guests_universal_js_2.OrderStatus; } });
Object.defineProperty(exports, "OrderType", { enumerable: true, get: function () { return events_guests_v1_guest_guests_universal_js_2.OrderType; } });
Object.defineProperty(exports, "RecurrenceStatusStatus", { enumerable: true, get: function () { return events_guests_v1_guest_guests_universal_js_2.RecurrenceStatusStatus; } });
Object.defineProperty(exports, "RequestedFields", { enumerable: true, get: function () { return events_guests_v1_guest_guests_universal_js_2.RequestedFields; } });
Object.defineProperty(exports, "RequestedFieldsEnumRequestedFields", { enumerable: true, get: function () { return events_guests_v1_guest_guests_universal_js_2.RequestedFieldsEnumRequestedFields; } });
Object.defineProperty(exports, "SortOrder", { enumerable: true, get: function () { return events_guests_v1_guest_guests_universal_js_2.SortOrder; } });
Object.defineProperty(exports, "Status", { enumerable: true, get: function () { return events_guests_v1_guest_guests_universal_js_2.Status; } });
Object.defineProperty(exports, "SubdivisionSubdivisionType", { enumerable: true, get: function () { return events_guests_v1_guest_guests_universal_js_2.SubdivisionSubdivisionType; } });
Object.defineProperty(exports, "SubdivisionType", { enumerable: true, get: function () { return events_guests_v1_guest_guests_universal_js_2.SubdivisionType; } });
Object.defineProperty(exports, "TaxType", { enumerable: true, get: function () { return events_guests_v1_guest_guests_universal_js_2.TaxType; } });
Object.defineProperty(exports, "Timing", { enumerable: true, get: function () { return events_guests_v1_guest_guests_universal_js_2.Timing; } });
Object.defineProperty(exports, "WebhookIdentityType", { enumerable: true, get: function () { return events_guests_v1_guest_guests_universal_js_2.WebhookIdentityType; } });
//# sourceMappingURL=events-guests-v1-guest-guests.public.js.map