"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RequestedFields = exports.OrderType = exports.RequestedFieldsEnumRequestedFields = exports.SortOrder = exports.WebhookIdentityType = exports.FeeType = exports.FeeName = exports.TaxType = exports.OrderStatus = exports.Timing = exports.NotifyActionType = exports.Status = exports.RecurrenceStatusStatus = exports.SubdivisionSubdivisionType = exports.LocationType = exports.EventType = exports.MemberEventStatusUpdatedEventType = exports.GuestType = exports.AttendanceStatus = exports.SubdivisionType = void 0;
var SubdivisionType;
(function (SubdivisionType) {
    SubdivisionType["UNKNOWN_SUBDIVISION_TYPE"] = "UNKNOWN_SUBDIVISION_TYPE";
    /** State */
    SubdivisionType["ADMINISTRATIVE_AREA_LEVEL_1"] = "ADMINISTRATIVE_AREA_LEVEL_1";
    /** County */
    SubdivisionType["ADMINISTRATIVE_AREA_LEVEL_2"] = "ADMINISTRATIVE_AREA_LEVEL_2";
    /** City/town */
    SubdivisionType["ADMINISTRATIVE_AREA_LEVEL_3"] = "ADMINISTRATIVE_AREA_LEVEL_3";
    /** Neighborhood/quarter */
    SubdivisionType["ADMINISTRATIVE_AREA_LEVEL_4"] = "ADMINISTRATIVE_AREA_LEVEL_4";
    /** Street/block */
    SubdivisionType["ADMINISTRATIVE_AREA_LEVEL_5"] = "ADMINISTRATIVE_AREA_LEVEL_5";
    /** ADMINISTRATIVE_AREA_LEVEL_0. Indicates the national political entity, and is typically the highest order type returned by the Geocoder. */
    SubdivisionType["COUNTRY"] = "COUNTRY";
})(SubdivisionType || (exports.SubdivisionType = SubdivisionType = {}));
var AttendanceStatus;
(function (AttendanceStatus) {
    /** Not attending. */
    AttendanceStatus["NOT_ATTENDING"] = "NOT_ATTENDING";
    /** Attending. */
    AttendanceStatus["ATTENDING"] = "ATTENDING";
    /** In a waiting list. */
    AttendanceStatus["IN_WAITLIST"] = "IN_WAITLIST";
})(AttendanceStatus || (exports.AttendanceStatus = AttendanceStatus = {}));
var GuestType;
(function (GuestType) {
    /** An invited guest, no ticket necessary. */
    GuestType["RSVP"] = "RSVP";
    /** The guest who bought the ticket. */
    GuestType["BUYER"] = "BUYER";
    /** The guest for whom the ticket was bought. */
    GuestType["TICKET_HOLDER"] = "TICKET_HOLDER";
})(GuestType || (exports.GuestType = GuestType = {}));
var MemberEventStatusUpdatedEventType;
(function (MemberEventStatusUpdatedEventType) {
    /**
     * Triggered every time a guest with a specified member ID is added to the event.
     * This event can also be triggered if an existing guest changed their member ID.
     */
    MemberEventStatusUpdatedEventType["MEMBER_JOINED"] = "MEMBER_JOINED";
    /**
     * Triggered every time a guest with a specified member ID is removed from the event.
     * This event can also be triggered if an existing guest changed their member ID.
     */
    MemberEventStatusUpdatedEventType["MEMBER_LEFT"] = "MEMBER_LEFT";
    /**
     * Triggered every time a guest with a specified member ID whose status is `"ATTENDING"` is added to the event.
     * This event can also be triggered if an existing guest changed their member ID or changed their status to `"ATTENDING"`.
     */
    MemberEventStatusUpdatedEventType["ATTENDING_MEMBER_JOINED"] = "ATTENDING_MEMBER_JOINED";
    /**
     * Triggered when the last guest with a specified member ID is removed from the event or their status changes to `"NOT_ATTENDING"`.
     * Once triggered there are no more attending guests with a specified member ID in the event.
     * This event can also be triggered if the last existing guest changed their member ID or their status to `"NOT_ATTENDING"`.
     */
    MemberEventStatusUpdatedEventType["LAST_ATTENDING_MEMBER_LEFT"] = "LAST_ATTENDING_MEMBER_LEFT";
})(MemberEventStatusUpdatedEventType || (exports.MemberEventStatusUpdatedEventType = MemberEventStatusUpdatedEventType = {}));
var EventType;
(function (EventType) {
    /**
     * Triggered every time a guest with a specified contact ID is added to the event.
     * This event can also be triggered if an existing guest changed their contact ID.
     */
    EventType["CONTACT_JOINED"] = "CONTACT_JOINED";
    /**
     * Triggered every time a guest with a specified contact ID is removed from the event.
     * This event can also be triggered if an existing guest changed their contact ID.
     */
    EventType["CONTACT_LEFT"] = "CONTACT_LEFT";
    /**
     * Triggred when the last guest with a specified contact ID is removed from the event.
     * Once triggered there are no more guests with a specified contact ID in the event.
     * This event can also be triggered if the last existing guest changed their contact ID.
     */
    EventType["LAST_CONTACT_LEFT"] = "LAST_CONTACT_LEFT";
})(EventType || (exports.EventType = EventType = {}));
var LocationType;
(function (LocationType) {
    /** Unknown location type. */
    LocationType["UNKNOWN_LOCATION"] = "UNKNOWN_LOCATION";
    /** Event is on-site at a specific physical location. */
    LocationType["VENUE"] = "VENUE";
    /** Event is online, such as a virtual video conference. */
    LocationType["ONLINE"] = "ONLINE";
})(LocationType || (exports.LocationType = LocationType = {}));
var SubdivisionSubdivisionType;
(function (SubdivisionSubdivisionType) {
    SubdivisionSubdivisionType["UNKNOWN_SUBDIVISION_TYPE"] = "UNKNOWN_SUBDIVISION_TYPE";
    /** State */
    SubdivisionSubdivisionType["ADMINISTRATIVE_AREA_LEVEL_1"] = "ADMINISTRATIVE_AREA_LEVEL_1";
    /** County */
    SubdivisionSubdivisionType["ADMINISTRATIVE_AREA_LEVEL_2"] = "ADMINISTRATIVE_AREA_LEVEL_2";
    /** City/town */
    SubdivisionSubdivisionType["ADMINISTRATIVE_AREA_LEVEL_3"] = "ADMINISTRATIVE_AREA_LEVEL_3";
    /** Neighborhood/quarter */
    SubdivisionSubdivisionType["ADMINISTRATIVE_AREA_LEVEL_4"] = "ADMINISTRATIVE_AREA_LEVEL_4";
    /** Street/block */
    SubdivisionSubdivisionType["ADMINISTRATIVE_AREA_LEVEL_5"] = "ADMINISTRATIVE_AREA_LEVEL_5";
    /** ADMINISTRATIVE_AREA_LEVEL_0. Indicates the national political entity, and is typically the highest order type returned by the Geocoder. */
    SubdivisionSubdivisionType["COUNTRY"] = "COUNTRY";
})(SubdivisionSubdivisionType || (exports.SubdivisionSubdivisionType = SubdivisionSubdivisionType = {}));
var RecurrenceStatusStatus;
(function (RecurrenceStatusStatus) {
    /** Unknown recurrance status. */
    RecurrenceStatusStatus["UNKNOWN_STATUS"] = "UNKNOWN_STATUS";
    /** Event happens only once and can last multiple days. */
    RecurrenceStatusStatus["ONE_TIME"] = "ONE_TIME";
    /** A series of events that repeat. */
    RecurrenceStatusStatus["RECURRING"] = "RECURRING";
    /** Next event in a schedule of recurring events. */
    RecurrenceStatusStatus["RECURRING_UPCOMING"] = "RECURRING_UPCOMING";
    /** Latest event that ended in a schedule of recurring events. */
    RecurrenceStatusStatus["RECURRING_RECENTLY_ENDED"] = "RECURRING_RECENTLY_ENDED";
    /** Latest canceled event in a schedule of recurring events */
    RecurrenceStatusStatus["RECURRING_RECENTLY_CANCELED"] = "RECURRING_RECENTLY_CANCELED";
})(RecurrenceStatusStatus || (exports.RecurrenceStatusStatus = RecurrenceStatusStatus = {}));
var Status;
(function (Status) {
    /** Unknown event status. */
    Status["UNKNOWN_EVENT_STATUS"] = "UNKNOWN_EVENT_STATUS";
    /** Event is published and scheduled to start. */
    Status["UPCOMING"] = "UPCOMING";
    /** Event has started. */
    Status["STARTED"] = "STARTED";
    /** Event has ended. */
    Status["ENDED"] = "ENDED";
    /** Event is canceled. */
    Status["CANCELED"] = "CANCELED";
    /** Event is not public. */
    Status["DRAFT"] = "DRAFT";
})(Status || (exports.Status = Status = {}));
var NotifyActionType;
(function (NotifyActionType) {
    NotifyActionType["UNKNOWN"] = "UNKNOWN";
    NotifyActionType["EMAIL"] = "EMAIL";
    NotifyActionType["AUTOMATION_TRIGGER"] = "AUTOMATION_TRIGGER";
    NotifyActionType["PUSH"] = "PUSH";
    NotifyActionType["EVENT_CANCELED"] = "EVENT_CANCELED";
    NotifyActionType["EVENT_STARTS"] = "EVENT_STARTS";
    NotifyActionType["ORDER_CANCELED"] = "ORDER_CANCELED";
})(NotifyActionType || (exports.NotifyActionType = NotifyActionType = {}));
var Timing;
(function (Timing) {
    /** Unknown event start time. */
    Timing["UNKNOWN_TIMING"] = "UNKNOWN_TIMING";
    /** Instant. */
    Timing["NOW"] = "NOW";
    /** 24 hours prior. */
    Timing["STARTS_IN_1_DAY"] = "STARTS_IN_1_DAY";
    /** 3 days prior. */
    Timing["STARTS_IN_3_DAYS"] = "STARTS_IN_3_DAYS";
    /** 7 days prior. */
    Timing["STARTS_IN_1_WEEK"] = "STARTS_IN_1_WEEK";
    /** 1 hour prior. */
    Timing["STARTS_IN_1_HOUR"] = "STARTS_IN_1_HOUR";
    /** 30 minutes prior. */
    Timing["STARTS_IN_30_MINUTES"] = "STARTS_IN_30_MINUTES";
    /** 2 hours prior. */
    Timing["STARTS_IN_2_HOURS"] = "STARTS_IN_2_HOURS";
})(Timing || (exports.Timing = Timing = {}));
var OrderStatus;
(function (OrderStatus) {
    /** Order status is not available for this request fieldset. */
    OrderStatus["NA_ORDER_STATUS"] = "NA_ORDER_STATUS";
    /** Order is confirmed, no payment is required. */
    OrderStatus["FREE"] = "FREE";
    /** Order was paid, but the payment gateway suspended the payment. */
    OrderStatus["PENDING"] = "PENDING";
    /** Order is paid. */
    OrderStatus["PAID"] = "PAID";
    /** Order is confirmed but has be paid via offline payment. Status needs to be manually updated to `"PAID"`. */
    OrderStatus["OFFLINE_PENDING"] = "OFFLINE_PENDING";
    /** Order is awaiting for payment at the cashier. */
    OrderStatus["INITIATED"] = "INITIATED";
    /** Order is canceled. */
    OrderStatus["CANCELED"] = "CANCELED";
    /** Order payment is declined. */
    OrderStatus["DECLINED"] = "DECLINED";
    /** Order payment is authorized. */
    OrderStatus["AUTHORIZED"] = "AUTHORIZED";
    /** Order payment is voided. */
    OrderStatus["VOIDED"] = "VOIDED";
    /** Order is partially paid with less than the total amount. */
    OrderStatus["PARTIALLY_PAID"] = "PARTIALLY_PAID";
})(OrderStatus || (exports.OrderStatus = OrderStatus = {}));
var TaxType;
(function (TaxType) {
    /** Tax is included in the ticket price. */
    TaxType["INCLUDED"] = "INCLUDED";
    /** Tax is added to the order at the checkout. */
    TaxType["ADDED"] = "ADDED";
    /** Tax is added to the final total at the checkout. */
    TaxType["ADDED_AT_CHECKOUT"] = "ADDED_AT_CHECKOUT";
})(TaxType || (exports.TaxType = TaxType = {}));
var FeeName;
(function (FeeName) {
    /** Wix ticket service fee charges applied to the line item. */
    FeeName["WIX_FEE"] = "WIX_FEE";
})(FeeName || (exports.FeeName = FeeName = {}));
var FeeType;
(function (FeeType) {
    /** Fee is added to the ticket price at checkout. */
    FeeType["FEE_ADDED"] = "FEE_ADDED";
    /** Seller absorbs the fee. It's deducted from the ticket price. */
    FeeType["FEE_INCLUDED"] = "FEE_INCLUDED";
    /** Fee is added to the ticket price at checkout. */
    FeeType["FEE_ADDED_AT_CHECKOUT"] = "FEE_ADDED_AT_CHECKOUT";
})(FeeType || (exports.FeeType = FeeType = {}));
var WebhookIdentityType;
(function (WebhookIdentityType) {
    WebhookIdentityType["UNKNOWN"] = "UNKNOWN";
    WebhookIdentityType["ANONYMOUS_VISITOR"] = "ANONYMOUS_VISITOR";
    WebhookIdentityType["MEMBER"] = "MEMBER";
    WebhookIdentityType["WIX_USER"] = "WIX_USER";
    WebhookIdentityType["APP"] = "APP";
})(WebhookIdentityType || (exports.WebhookIdentityType = WebhookIdentityType = {}));
var SortOrder;
(function (SortOrder) {
    SortOrder["ASC"] = "ASC";
    SortOrder["DESC"] = "DESC";
})(SortOrder || (exports.SortOrder = SortOrder = {}));
var RequestedFieldsEnumRequestedFields;
(function (RequestedFieldsEnumRequestedFields) {
    /** Unknown requested field. */
    RequestedFieldsEnumRequestedFields["UNKNOWN_REQUESTED_FIELD"] = "UNKNOWN_REQUESTED_FIELD";
    /** Returns `guestDetails` and `tickets`. */
    RequestedFieldsEnumRequestedFields["GUEST_DETAILS"] = "GUEST_DETAILS";
    /** Returns `totalGuests`. */
    RequestedFieldsEnumRequestedFields["GUEST_TOTAL"] = "GUEST_TOTAL";
})(RequestedFieldsEnumRequestedFields || (exports.RequestedFieldsEnumRequestedFields = RequestedFieldsEnumRequestedFields = {}));
var OrderType;
(function (OrderType) {
    /** Buyer form is used for all tickets. */
    OrderType["UNASSIGNED_TICKETS"] = "UNASSIGNED_TICKETS";
    /** Each order ticket has its own form. */
    OrderType["ASSIGNED_TICKETS"] = "ASSIGNED_TICKETS";
})(OrderType || (exports.OrderType = OrderType = {}));
var RequestedFields;
(function (RequestedFields) {
    /** Unknown requested field. */
    RequestedFields["UNKNOWN_REQUESTED_FIELD"] = "UNKNOWN_REQUESTED_FIELD";
    /** Member guests. */
    RequestedFields["MEMBER_GUESTS"] = "MEMBER_GUESTS";
    /** Waitlist count. */
    RequestedFields["WAITLIST_COUNT"] = "WAITLIST_COUNT";
})(RequestedFields || (exports.RequestedFields = RequestedFields = {}));
//# sourceMappingURL=events-guests-v1-guest-guests.types.js.map