import { queryGuests as publicQueryGuests } from './events-guests-v1-guest-guests.public.js';
import { createEventModule } from '@wix/sdk-runtime/event-definition-modules';
import { BuildRESTFunction, MaybeContext } from '@wix/sdk-types';
import { onGuestCreated as publicOnGuestCreated } from './events-guests-v1-guest-guests.public.js';
import { onGuestDeleted as publicOnGuestDeleted } from './events-guests-v1-guest-guests.public.js';
import { onGuestCheckedIn as publicOnGuestCheckedIn } from './events-guests-v1-guest-guests.public.js';
import { onGuestEventCanceled as publicOnGuestEventCanceled } from './events-guests-v1-guest-guests.public.js';
import { onGuestEventStarts as publicOnGuestEventStarts } from './events-guests-v1-guest-guests.public.js';
import { onGuestOrderCanceled as publicOnGuestOrderCanceled } from './events-guests-v1-guest-guests.public.js';
import { onGuestUpdated as publicOnGuestUpdated } from './events-guests-v1-guest-guests.public.js';
export declare const queryGuests: MaybeContext<BuildRESTFunction<typeof publicQueryGuests> & typeof publicQueryGuests>;
/**
 * Triggered when a guest is created.
 */
export declare const onGuestCreated: ReturnType<typeof createEventModule<typeof publicOnGuestCreated>>;
/**
 * Triggered when a guest is deleted.
 */
export declare const onGuestDeleted: ReturnType<typeof createEventModule<typeof publicOnGuestDeleted>>;
/**
 * Triggered when a guest has checked in.
 */
export declare const onGuestCheckedIn: ReturnType<typeof createEventModule<typeof publicOnGuestCheckedIn>>;
/**
 * Triggered when an event is canceled.
 */
export declare const onGuestEventCanceled: ReturnType<typeof createEventModule<typeof publicOnGuestEventCanceled>>;
/**
 * Triggered when an event has started.
 */
export declare const onGuestEventStarts: ReturnType<typeof createEventModule<typeof publicOnGuestEventStarts>>;
/**
 * Triggered when a ticket order is canceled.
 */
export declare const onGuestOrderCanceled: ReturnType<typeof createEventModule<typeof publicOnGuestOrderCanceled>>;
/**
 * Triggered when a guest is updated.
 *
 * This event always triggers together with the Guest Created and the Guest Deleted events.
 * > **Note:** Since this event may trigger twice, you should explicitly add code to ensure that the parts of your code that depend on this event run only once.
 */
export declare const onGuestUpdated: ReturnType<typeof createEventModule<typeof publicOnGuestUpdated>>;
export { SubdivisionType, AttendanceStatus, GuestType, MemberEventStatusUpdatedEventType, EventType, LocationType, SubdivisionSubdivisionType, RecurrenceStatusStatus, Status, NotifyActionType, Timing, OrderStatus, TaxType, FeeName, FeeType, WebhookIdentityType, SortOrder, RequestedFieldsEnumRequestedFields, OrderType, RequestedFields, } from './events-guests-v1-guest-guests.universal.js';
export { EventGuest, TicketDetails, TicketGuestDetails, OnlineConferencingLogin, GuestDetails, FormResponse, InputValue, FormattedAddress, Address, AddressStreetOneOf, StreetAddress, AddressLocation, Subdivision, StandardDetails, GuestCountUpdated, GuestCountUpdate, MemberEventStatusUpdated, ContactEventStatusUpdated, GuestCheckedIn, EventDetails, Location, CommonAddress, CommonAddressStreetOneOf, CommonStreetAddress, CommonAddressLocation, CommonSubdivision, DateAndTimeSettings, Recurrences, Occurrence, Formatted, NotifyGuestAction, TaskContext, OrderDetails, Invoice, Item, Money, Discount, DiscountItem, DiscountItemDiscountOneOf, CouponDiscount, PaidPlanDiscount, PaidPlanDiscountDiscountOneOf, PercentDiscount, Tax, Fee, GuestEventCanceled, GuestEventStarts, GuestOrderCanceled, DomainEvent, DomainEventBodyOneOf, EntityCreatedEvent, RestoreInfo, EntityUpdatedEvent, EntityDeletedEvent, ActionEvent, MessageEnvelope, IdentificationData, IdentificationDataIdOneOf, QueryEventGuestsRequest, QueryV2, QueryV2PagingMethodOneOf, Sorting, Paging, CursorPaging, QueryEventGuestsResponse, PagingMetadataV2, Cursors, StreamEventGuestsRequest, Empty, SecondaryLanguagesRequest, SecondaryLanguagesResponse, Language, OrderConfirmed, Ticket, CheckIn, OrderUpdated, OrderDeleted, EventDeleted, Task, TaskKey, ListGuestListPreviewsRequest, ListGuestListPreviewsResponse, GuestListPreview, GuestCount, MemberGuests, MemberGuest, UpdateGuestRequest, UpdateGuestResponse, BaseEventMetadata, EventMetadata, GuestCreatedEnvelope, GuestDeletedEnvelope, GuestCheckedInEnvelope, GuestEventCanceledEnvelope, GuestEventStartsEnvelope, GuestOrderCanceledEnvelope, GuestUpdatedEnvelope, QueryEventGuestsOptions, GuestsQueryResult, GuestsQueryBuilder, } from './events-guests-v1-guest-guests.universal.js';
