import { queryGuests as publicQueryGuests } from './events-guests-v1-guest-guests.public.js';
import { createRESTModule } from '@wix/sdk-runtime/rest-modules';
import { createEventModule } from '@wix/sdk-runtime/event-definition-modules';
import { onGuestCreated as publicOnGuestCreated } from './events-guests-v1-guest-guests.public.js';
import { onGuestDeleted as publicOnGuestDeleted } from './events-guests-v1-guest-guests.public.js';
import { onGuestCheckedIn as publicOnGuestCheckedIn } from './events-guests-v1-guest-guests.public.js';
import { onGuestEventCanceled as publicOnGuestEventCanceled } from './events-guests-v1-guest-guests.public.js';
import { onGuestEventStarts as publicOnGuestEventStarts } from './events-guests-v1-guest-guests.public.js';
import { onGuestOrderCanceled as publicOnGuestOrderCanceled } from './events-guests-v1-guest-guests.public.js';
import { onGuestUpdated as publicOnGuestUpdated } from './events-guests-v1-guest-guests.public.js';
export const queryGuests = /*#__PURE__*/ createRESTModule(publicQueryGuests);
/**
 * Triggered when a guest is created.
 */
export const onGuestCreated = createEventModule(publicOnGuestCreated);
/**
 * Triggered when a guest is deleted.
 */
export const onGuestDeleted = createEventModule(publicOnGuestDeleted);
/**
 * Triggered when a guest has checked in.
 */
export const onGuestCheckedIn = createEventModule(publicOnGuestCheckedIn);
/**
 * Triggered when an event is canceled.
 */
export const onGuestEventCanceled = createEventModule(publicOnGuestEventCanceled);
/**
 * Triggered when an event has started.
 */
export const onGuestEventStarts = createEventModule(publicOnGuestEventStarts);
/**
 * Triggered when a ticket order is canceled.
 */
export const onGuestOrderCanceled = createEventModule(publicOnGuestOrderCanceled);
/**
 * Triggered when a guest is updated.
 *
 * This event always triggers together with the Guest Created and the Guest Deleted events.
 * > **Note:** Since this event may trigger twice, you should explicitly add code to ensure that the parts of your code that depend on this event run only once.
 */
export const onGuestUpdated = createEventModule(publicOnGuestUpdated);
export { SubdivisionType, AttendanceStatus, GuestType, MemberEventStatusUpdatedEventType, EventType, LocationType, SubdivisionSubdivisionType, RecurrenceStatusStatus, Status, NotifyActionType, Timing, OrderStatus, TaxType, FeeName, FeeType, WebhookIdentityType, SortOrder, RequestedFieldsEnumRequestedFields, OrderType, RequestedFields, } from './events-guests-v1-guest-guests.universal.js';
//# sourceMappingURL=events-guests-v1-guest-guests.context.js.map